Package org.opensaml.xmlsec.agreement.impl

# Class KeySize

java.lang.Object
org.opensaml.xmlsec.agreement.impl.KeySize

All Implemented Interfaces:
  `KeyAgreementParameter`

public class KeySize extends Object implements KeyAgreementParameter
Key agreement parameter used to explicitly represent the size of the derived key.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final int`
`size`
Key size.

## Constructor Summary

Constructors
Constructor
Description
`KeySize(int keySize)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getSize()`
Get the key size, in bits.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### size

private final int size
Key size.

## Constructor Details

### KeySize

public KeySize(int keySize)
Constructor.

Parameters:
  `keySize` - the key size, in bits

## Method Details

### getSize

public int getSize()
Get the key size, in bits.

Returns:
  the key size in bits